> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Get entitlement info

`GET /api/web/v1/entitlements/info`

Get entitlement info. Caller requires the ENTITLEMENTS:VIEW permission.

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "smsVoice": {
      "type": "object",
      "properties": {
        "allotment": {
          "type": "integer",
          "description": "The number of entitlements allotted to the current account.  If the account is an SP then entitlements can be allocated to child accounts.",
          "format": "int32",
          "example": 400
        },
        "consumed": {
          "type": "integer",
          "description": "The entitlements consumed since start date during the entitlement period.",
          "format": "int32"
        },
        "endDate": {
          "type": "string",
          "description": "The date when the entitlement will end.",
          "format": "date-time",
          "example": "2020-02-19T00:00:00Z"
        },
        "gracePeriodEndDate": {
          "type": "string",
          "description": "The date when the grace period for the entitlement will end.",
          "format": "date-time",
          "example": "2020-02-19T00:00:00Z"
        },
        "overageType": {
          "type": "string",
          "description": "The overage type of this entitlement.",
          "example": "YES",
          "enum": [
            "YES",
            "NO",
            "UNLIMITED"
          ]
        },
        "quantity": {
          "type": "integer",
          "description": "The number of SMS/Voice credits allowed during the period.",
          "format": "int32",
          "example": 1000
        },
        "renewalQuantity": {
          "type": "integer",
          "description": "The number of SMS/Voice credits allowed when the entitlement is renewed.",
          "format": "int32",
          "example": 1000
        },
        "startDate": {
          "type": "string",
          "description": "The date when the entitlement starts.",
          "format": "date-time",
          "example": "2019-02-19T00:00:00Z"
        }
      },
      "description": "Sms/Voice entitlements of a tenant.",
      "title": "SmsVoice"
    },
    "users": {
      "type": "object",
      "properties": {
        "allotment": {
          "type": "integer",
          "description": "The number of entitlements allotted to the current account.  If the account is an SP then entitlements can be allocated to child accounts. For subscriber accounts, the allotment is always the same as the quantity amount.",
          "format": "int32",
          "example": 130
        },
        "consumed": {
          "type": "integer",
          "description": "The used quantity of this entitlement.",
          "format": "int32",
          "example": 37
        },
        "endDate": {
          "type": "string",
          "description": "The date when the entitlement ends.",
          "format": "date-time",
          "example": "2020-02-18T23:59:59Z"
        },
        "gracePeriodEndDate": {
          "type": "string",
          "description": "The date when the grace period for the entitlement will end.",
          "format": "date-time",
          "example": "2020-02-19T00:00:00Z"
        },
        "quantity": {
          "type": "integer",
          "description": "The quantity of entitlements purchased for the account.",
          "format": "int32",
          "example": 200
        },
        "startDate": {
          "type": "string",
          "description": "The date when the entitlement starts.",
          "format": "date-time",
          "example": "2019-02-19T00:00:00Z"
        }
      },
      "description": "User entitlements of a tenant.",
      "title": "UserEntitlement"
    }
  },
  "description": "The active entitlements applicable to the subscriber.",
  "title": "AccountEntitlement"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "ENTITLEMENTS:VIEW"
    ]
  }
]
```
